出荷削除
DELETE
/shipments/{shipment_id}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/shipments/3';const options = {method: 'DELETE'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/shipments/3出荷情報を削除します。
対象プラン
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”shipment_id
required
string
出荷ID
Example
3Responses
Section titled “Responses”削除成功
- 在庫管理設定の出荷完了後の編集可否が「編集不可」に設定されているかつ、以下のいずれかの条件に当てはまる場合
- 在庫管理設定の出荷承認機能が「利用する」に設定されている場合、出荷ステータスが「出荷済」または「出荷検品中」または(「未出荷」かつ承認ステータスが「承認済」)
- 在庫管理設定の出荷承認機能が「利用しない」に設定されている場合、出荷ステータスが「出荷済」または「出荷検品中」
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Example在庫管理設定の出荷完了後の編集可否が「編集不可」に設定され削除できない場合
{ "type": "about:blank", "title": "Bad Request", "detail": "在庫管理設定の出荷完了後の編集可否で編集不可が設定されているため、削除できません", "status": 400}指定した出荷データが存在しない場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
Exampleリソースが存在しない場合
{ "type": "about:blank", "title": "NotFound", "detail": "指定されたIDのリソースが見つかりません", "status": 404}